#include <iostream>

using namespace std;

int main()
{
    int n,O,A,B,AB;
    cin>>n;
    string lol[n];
    int k[n];
    cin>>O>>A>>B>>AB;
    for(int i=0;i<n; i++)
        cin>>lol[i]>>k[i];
    cout<<"nemoguce";
}